summaryrefslogtreecommitdiff
path: root/wince/xbuildall.ksh
diff options
context:
space:
mode:
Diffstat (limited to 'wince/xbuildall.ksh')
-rw-r--r--wince/xbuildall.ksh29
1 files changed, 29 insertions, 0 deletions
diff --git a/wince/xbuildall.ksh b/wince/xbuildall.ksh
new file mode 100644
index 0000000000..40f8cdbcab
--- /dev/null
+++ b/wince/xbuildall.ksh
@@ -0,0 +1,29 @@
+# Time-stamp: <01/08/01 21:03:25 keuchel@w2k>
+#
+# rebuild all perl targets
+
+machines="
+wince-arm-hpc-wce300
+wince-arm-hpc-wce211
+wince-sh3-hpc-wce211
+wince-mips-hpc-wce211
+wince-mips-hpc-wce200
+wince-sh3-hpc-wce200
+wince-arm-pocket-wce300
+wince-mips-pocket-wce300
+wince-sh3-pocket-wce300
+wince-x86em-pocket-wce300
+wince-sh3-palm-wce211
+wince-mips-palm-wce211
+wince-x86em-palm-wce211
+"
+
+for mach in $machines; do
+ mflags="-f makefile.ce MACHINE=$mach"
+ echo "Calling nmake for $mach..."
+ nmake $mflags clean
+ nmake $mflags all
+ nmake $mflags all dlls || exit 1
+ nmake $mflags makedist
+done
+